$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.29.9-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.29.9-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'CCFBDCAD3F272F2256F6EBC9FC988EB26F4CD2EFCD7D686CC691D2295DA6230E'
  checksumType = 'sha256'
  checksum64 = 'CCFBDCAD3F272F2256F6EBC9FC988EB26F4CD2EFCD7D686CC691D2295DA6230E'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.29.9-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
